import java.util.List;
import java.util.Scanner;

public class EinkommenInfo {
    public static void main(String[] args) {
        System.out.println("Übersicht über Bevölkerungszahl und Einkommen in Deutschland");
        GebietsDatei datei = new GebietsDatei("Einkommen.csv");
        List<Gebiet> gebiet = datei.getGebiete();
        GebietsListe gebietsListe = new GebietsListe(gebiet);
        System.out.println(gebiet.size() + " Gebiete wurden eingelesen.");
        System.out.println(gebietsListe.getAnzahlUnvollstaendig() + " davon haben unvollständige Angaben.");
        System.out.println();
        System.out.println("Gebiet mit dem geringsten Durchschnittseinkommen:");
        System.out.println(gebietsListe.getGebietMinDurchschnittEinkommen());
        Scanner sc = new Scanner(System.in);
        while(true){
            System.out.print("Name des Gebietes: ");
            String input = sc.nextLine();
            if(input.isEmpty()){
                break;
            }
            List<Gebiet> foundAreas = gebietsListe.getGebietNachNamen(input);
            for (Gebiet area : foundAreas) {
                System.out.println(area);
            }
            System.out.println(foundAreas.size() + " Gebiete wurden gefunden.");
        }
    }
}